#include "include.h"
#include "usb_cdc_uart_demo.h"
#include "func_usbdev.h"

f_ude_t f_ude;
func_cb_t func_cb AT(.buf.func_cb);
#if FUNC_USBDEV_EN

AT(.text.func.usbdev)
void func_usbdev_process(void)
{
    usb_event_process();    //printer_demo find,全局搜索可找到
}

void func_usbdev_enter(void)
{
    f_ude.vol = 0;         //restore system volume
    if (!dev_is_online(DEV_USBPC)) {
        func_cb.sta = FUNC_NULL;
        return;
    }

    f_ude.cur_dev = DEV_USBPC;
    f_ude.dev_change = 0;

    usb_insert_callback();
    usb_device_enter(UDE_PRINTER_EN);
}

void func_usbdev_exit(void)
{
    usb_device_exit();
    func_cb.last = FUNC_USBDEV;
}

#endif // FUNC_USBDEV_EN

